Recent

Author Topic: Which version of Lazarus to support smooth iOS develop?  (Read 6947 times)

Watt

  • Newbie
  • Posts: 3
Which version of Lazarus to support smooth iOS develop?
« on: November 09, 2013, 02:24:12 am »
I have tried Delphi XE5 and find that Mobile Apps can be built very conveniently.
The price of Delphi XE5 is too expensive for me, therefore I consider to choose Lazarus as my developing tool.
Now I wonder that whether Lazarus support developing Apps for iOS and Android?
If not, will Lazarus support in the future?
Which version?


mica

  • Full Member
  • ***
  • Posts: 192
Re: Which version of Lazarus to support smooth iOS develop?
« Reply #2 on: November 09, 2013, 04:02:06 pm »
you can try this (not tested i have no android nor ios device)

http://blog.naver.com/PostView.nhn?blogId=simonsayz&logNo=120196870149&redirect=Dlog

Watt

  • Newbie
  • Posts: 3
Re: Which version of Lazarus to support smooth iOS develop?
« Reply #3 on: November 10, 2013, 10:19:20 am »
If I wish to write Mobile App, I need to install some packages.
Those packages seem to be old, and there are no new versions for current Free Pascal and Lazarus.
I see that Delphi XE5 provides very simple way to develop Mobile App.
Perhaps, Lazarus will be able to do the similar job in the future.
Maybe someone cannot wait the new version of Lazarus for too long period of time, therefore he purchase Delphi XE5.
 

marcov

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 7639
Re: Which version of Lazarus to support smooth iOS develop?
« Reply #4 on: November 10, 2013, 12:27:30 pm »
Well, the problem is that many of the people looking for mobile support only want to use the finish product. Not that many want to work on it(notable exceptions like the author of that blog excluded), thus progress is slow.

That's open source, if it is not there, the users are as responsible as the developers. (since users can choose to become developers). And yes, that takes time and effort to learn. The current developers also had to.